package org.bench4q.share.models.master;

import java.util.Date;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class ValueTimeModel {
	private long value;
	private Date time;

	@XmlElement
	public long getValue() {
		return value;
	}

	public void setValue(long value) {
		this.value = value;
	}

	@XmlElement
	public Date getTime() {
		return time;
	}

	public void setTime(Date time) {
		this.time = time;
	}

	public static ValueTimeModel buildValueTimeModel(long value, Date time) {
		ValueTimeModel result = new ValueTimeModel();
		result.setValue(value);
		result.setTime(time);
		return result;
	}
}
